package ajcon.custom.util.elements;

import ajcon.custom.util.groups.CStmt;
import java.util.ArrayList;
import java.util.List;

public class CLoopInit {

    private List<CLocalVariableDecl> CLocalVariableDecl;
    private List<CStmt> CStmt;

    public CLoopInit() {
        CStmt = new ArrayList<CStmt>();
        CLocalVariableDecl = new ArrayList<CLocalVariableDecl>();
    }

    public List<CStmt> getCStmt() {
        return CStmt;
    }

    public void setCStmt(List<CStmt> CStmt) {
        this.CStmt = CStmt;
    }

    public List<CLocalVariableDecl> getCLocalVariableDecl() {
        return CLocalVariableDecl;
    }

    public void setCLocalVariableDecl(List<CLocalVariableDecl> CLocalVariableDecl) {
        this.CLocalVariableDecl = CLocalVariableDecl;
    }

    public void addCLocalVariableDecl(CLocalVariableDecl c){
        CLocalVariableDecl.add(c);
    }

    public void addCStmt(CStmt c){
        CStmt.add(c);
    }
}
